Open Lighting Architecture: ola::messaging::MessagePrinter Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::messaging::MessagePrinter Class Reference

## Detailed Description

The base class for all message printers.

Inheritance diagram for ola::messaging::MessagePrinter:

## Public Member Functions
std::string | AsString (const class Message *message)
virtual void | Visit (const BoolMessageField *)
virtual void | Visit (const IPV4MessageField *)
virtual void | Visit (const MACMessageField *)
virtual void | Visit (const UIDMessageField *)
virtual void | Visit (const StringMessageField *)
virtual void | Visit (const BasicMessageField< uint8_t > *)
virtual void | Visit (const BasicMessageField< uint16_t > *)
virtual void | Visit (const BasicMessageField< uint32_t > *)
virtual void | Visit (const BasicMessageField< int8_t > *)
virtual void | Visit (const BasicMessageField< int16_t > *)
virtual void | Visit (const BasicMessageField< int32_t > *)
virtual void | Visit (const GroupMessageField *)
virtual void | PostVisit (const GroupMessageField *)

## Protected Member Functions
std::ostringstream & | Stream ()
virtual void | PostStringHook ()
virtual std::string | TransformLabel (const std::string &label)

## Member Function Documentation

## ◆ AsString()

string ola::messaging::MessagePrinter::AsString | ( | const class Message * | message | ) |

Build the string representation of a message object

## ◆ PostVisit()

virtual void ola::messaging::MessagePrinter::PostVisit | ( | const GroupMessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [1/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BasicMessageField< int16_t > * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [2/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BasicMessageField< int32_t > * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [3/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BasicMessageField< int8_t > * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [4/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BasicMessageField< uint16_t > * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [5/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BasicMessageField< uint32_t > * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [6/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BasicMessageField< uint8_t > * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [7/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const BoolMessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [8/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const GroupMessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [9/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const IPV4MessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [10/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const MACMessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [11/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const StringMessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

## ◆ Visit() [12/12]

virtual void ola::messaging::MessagePrinter::Visit | ( | const UIDMessageField * |  | ) |
| inlinevirtual

Implements ola::messaging::MessageVisitor.

The documentation for this class was generated from the following files:

- include/ola/messaging/MessagePrinter.h
- common/messaging/MessagePrinter.cpp